import {ListViewProviderPosition, useListView} from './edit-modal/position/ListViewProviderPosition'
import {QueryRequestProvider} from './core/QueryRequestProvider'
import {QueryResponseProvider} from './core/QueryResponseProviderPosition'
import {KTCard} from '../../../../../_metronic/helpers'
import { PositionsListHeader } from './components/header/position/PositionsListHeader'
import { PositionsTable } from './table/columns/position/PositionsTable'
import { PositionEditModal } from './edit-modal/position/PositionEditModal'

const PositionsList = () => {
  const {itemIdForUpdate} = useListView()
  return (
    <>
      <KTCard>
        <PositionsListHeader />
        <PositionsTable />
      </KTCard>
      {itemIdForUpdate !== undefined && <PositionEditModal />}
    </>
  )
}

const PositionsListWrapper = () => (
  <QueryRequestProvider>
    <QueryResponseProvider>
      <ListViewProviderPosition>
        <PositionsList />
      </ListViewProviderPosition>
    </QueryResponseProvider>
  </QueryRequestProvider>
)

export {PositionsListWrapper}
